package src;

/**
 * La classe pour l'index : un mot et sa liste.
 * de page
 * @author jroyer
 * @date 8/7/2008
 */
public class Entry  {
	
	/** le mot de l'entree. */
	private String mot;
	
	/** la liste des pages du mot. */
	private SortedListOfInteger pages;
	
	/**
	 * Constructeur d'une entree.
	 * @param w le mot
	 * @param ps les pages
	 */
	public Entry(final String w, final SortedListOfInteger ps) {
		this.mot = w;
		this.pages = ps;
	}

	/**
	 * Ajoute une page dans la liste de l'entree.
	 * @param page une page
	 */
	public void add(final Integer page) {
		//TODO
	}
	
	/**
	 * Representation en string.
	 * @return une chaine
	 */
	public String toString() {
		//TODO
		return "";
	}
	
	/**
	 * Fonction de comparaisons.
	 * 0: egalite, -: inferieur, +: superieur
	 * @param other une entree
	 * @return un entier
	 */
	public int compareTo(final Entry other) {
		//TODO
		return 0;
	}

	/**
	 * @return the mot
	 */
	public String getMot() {
		return mot;
	}

	/**
	 * @param mot the mot to set
	 */
	public void setMot(final String mot) {
		this.mot = mot;
	}

	/**
	 * @return the pages
	 */
	public SortedListOfInteger getPages() {
		return pages;
	}

	/**
	 * @param pages the pages to set
	 */
	public void setPages(final SortedListOfInteger pages) {
		this.pages = pages;
	}

}
