package src;

/**
 * Classe simple qui lit un fichier en entree ligne par ligne
 *  et reecrit son contenu un mot par ligne.
 * Les lignes commenant par % sont ignorees.
 * @author jroyer
 * @date 8/07/2008
 */
public class MakeIndex extends Loader {
	
	/**
	 * Index du document.
	 */
	private Index index;

	/**
	 * Constructeur par defaut.
	 * @param name nom du fichier
	 */
	public MakeIndex(final String name) {
		super(name);
		this.index = new Index();
	}

	/**
	 * Analyse les mots et cree l'index.
	 */
	public void process() {
		// analyse les mots lu dans le fichier d'entree
		// et construit progressivement l'index
		// TODO
	}
	
	/**
	 * @return the index
	 */
	public Index getIndex() {
		return index;
	}

	/**
	 * @param index the index to set
	 */
	public void setIndex(final Index index) {
		this.index = index;
	}
	
}
